<?php
$section  = 'advanced';
$priority = 1;
$prefix   = 'advanced_';

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'toggle',
	'settings'    => 'smooth_scroll_enable',
	'label'       => esc_html__( 'Smooth Scroll', 'makeaholic' ),
	'description' => esc_html__( 'Smooth scrolling experience for websites.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => 0,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'toggle',
	'settings'    => 'scroll_top_enable',
	'label'       => esc_html__( 'Go To Top Button', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to show go to top button.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => 1,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'toggle',
	'settings'    => 'retina_display_enable',
	'label'       => esc_html__( 'Retina Display?', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to make images retina on high screen revolution.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => 0,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => 'google_api_key',
	'label'       => esc_html__( 'Google Api Key', 'makeaholic' ),
	'description' => sprintf( wp_kses( __( 'Follow <a href="%s" target="_blank">this link</a> and click <strong>GET A KEY</strong> button.', 'makeaholic' ), array(
		'a'      => array(
			'href'   => array(),
			'target' => array(),
		),
		'strong' => array(),
	) ), esc_url( 'https://developers.google.com/maps/documentation/javascript/get-api-key#get-an-api-key' ) ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'postMessage',
) );
