<?php
$section  = 'social_sharing';
$priority = 1;
$prefix   = 'social_sharing_';

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicheck',
	'settings'    => $prefix . 'item_enable',
	'label'       => esc_attr__( 'Sharing Links', 'makeaholic' ),
	'description' => esc_html__( 'Check to the box to enable social share links.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => array( 'facebook', 'twitter', 'linkedin', 'tumblr', 'email' ),
	'choices'     => array(
		'facebook' => esc_attr__( 'Facebook', 'makeaholic' ),
		'twitter'  => esc_attr__( 'Twitter', 'makeaholic' ),
		'linkedin' => esc_attr__( 'Linkedin', 'makeaholic' ),
		'tumblr'   => esc_attr__( 'Tumblr', 'makeaholic' ),
		'email'    => esc_attr__( 'Email', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'sortable',
	'settings'    => $prefix . 'order',
	'label'       => esc_attr__( 'Order', 'makeaholic' ),
	'description' => esc_html__( 'Controls the order of social share links.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => array(
		'facebook',
		'twitter',
		'linkedin',
		'tumblr',
		'email',
	),
	'choices'     => array(
		'facebook' => esc_attr__( 'Facebook', 'makeaholic' ),
		'twitter'  => esc_attr__( 'Twitter', 'makeaholic' ),
		'linkedin' => esc_attr__( 'Linkedin', 'makeaholic' ),
		'tumblr'   => esc_attr__( 'Tumblr', 'makeaholic' ),
		'email'    => esc_attr__( 'Email', 'makeaholic' ),
	),
) );
