(
	function( $ ) {
		'use strict';

		var MakeaholicTabsHandler = function( $scope, $ ) {
			var $element = $scope.find( '.makeaholic-tabs' ),
				$tab = $element.find( '.tab-title' ),
				$panel = $element.find( '.tab-content' );

			var settings = $scope.data( 'settings' );

			$tab.on( 'click', function(e) {
				e.preventDefault();

				var $el = $( this ),
					index = $el.data( 'tab' );

				if ( $el.hasClass( 'active' ) ) {
					return;
				}

				$tab.removeClass( 'active' );
				$el.addClass( 'active' )
				$panel.removeClass( 'active' );
				$panel.filter( '[data-tab="' + index + '"]' ).addClass( 'active' );
			} );
		};

		$( window ).on( 'elementor/frontend/init', function() {
			elementorFrontend.hooks.addAction( 'frontend/element_ready/tm-tabs.default', MakeaholicTabsHandler );
		} );
	}
)( jQuery );
