<?php
/**
 * The template for displaying content blog list item.
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Makeaholic
 * @since   1.0
 */

defined( 'ABSPATH' ) || exit;
?>

<div class="post-wrapper makeaholic-box">

	<div class="post-thumbnail-wrapper">
		<?php if ( has_post_thumbnail() ) { ?>
			<div class="post-feature post-thumbnail makeaholic-image">
				<a href="<?php the_permalink(); ?>">
					<?php Makeaholic_Post::instance()->entry_feature(); ?>
				</a>
			</div>
		<?php } ?>
	</div>

	<div class="post-caption">
		<?php Makeaholic_Post::instance()->the_categories( array(
			'classes'   => 'post-overlay-categories',
			'separator' => '',
			'single'    => false,
		) ); ?>

		<?php makeaholic_load_template( 'blog/loop/title' ); ?>

		<?php makeaholic_load_template( 'blog/loop/meta-alt' ); ?>

		<?php makeaholic_load_template( 'blog/loop/excerpt-long' ); ?>

		<div class="post-footer">
			<?php makeaholic_load_template( 'blog/loop/read-more' ); ?>
		</div>
	</div>

</div>
