<?php
/**
 * The template for displaying loop read more.
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Makeaholic
 * @since   1.0
 */

defined( 'ABSPATH' ) || exit;

Makeaholic_Templates::render_button( [
	'link'          => [
		'url' => get_the_permalink(),
	],
	'text'          => esc_html__( 'Read more', 'makeaholic' ),
	'wrapper_class' => 'post-read-more',
	'extra_class'   => 'button-black',
] );
