<?php
/**
 * The template for displaying all single posts.
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Makeaholic
 * @since   1.0
 */
?>
<div id="page-content" class="page-content">
	<div class="container">
		<div class="row">

			<?php Makeaholic_Sidebar::instance()->render( 'left' ); ?>

			<div class="page-main-content">
				<?php while ( have_posts() ) : the_post(); ?>
					<?php makeaholic_load_template( 'content-rich-snippet' ); ?>

					<?php the_content(); ?>
				<?php endwhile; ?>
			</div>

			<?php Makeaholic_Sidebar::instance()->render( 'right' ); ?>

		</div>
	</div>
</div>
