<?php
/**
 * Wishlist button on header
 *
 * @package Makeaholic
 * @since   1.0.0
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit;

$link_classes = 'header-icon header-wishlist-link';
$wishlist_url = WPCleverWoosw::get_url();
$count        = WPCleverWoosw::get_count();
?>
<a href="<?php echo esc_url( $wishlist_url ) ?>"
   class="<?php echo esc_attr( $link_classes ); ?>">
	<span class="icon ph-heart">
		<span class="header-icon-badge"><?php echo esc_html( $count ); ?></span>
	</span>
</a>
