<?php
defined( 'ABSPATH' ) || exit;

$shop_page_display = Makeaholic_Woo::instance()->get_shop_display();

if ( ! in_array( $shop_page_display, [ 'subcategories', 'both' ] ) ) {
	return;
}

$archive_categories_style = Makeaholic::setting( 'shop_archive_categories_style' );

if ( $archive_categories_style === 'carousel' ) {
	woocommerce_output_product_categories( [
		'before'    => '<div class="tm-swiper tm-slider makeaholic-product-categories style-03 makeaholic-animation-zoom-in nav-style-01" data-items-desktop="4"
		     data-items-tablet="3"
		     data-items-mobile="2"
		     data-gutter-desktop="30"
		     data-gutter-tablet="20"
		     data-gutter-mobile="16"
		     data-nav="1" data-loop="1"><div class="swiper-inner"><div class="swiper"><div class="swiper-wrapper">',
		'after'     => '</div></div></div></div>',
		'parent_id' => is_product_category() ? get_queried_object_id() : 0,
	] );
} else {
	woocommerce_output_product_categories( [
		'before'    => '<div class="row makeaholic-product-categories style-03 makeaholic-animation-zoom-in">',
		'after'     => '</div>',
		'parent_id' => is_product_category() ? get_queried_object_id() : 0,
	] );
}
