(
	function ($) {
		'use strict';

		var SwiperHandler = function ($scope, $) {
			var $element = $scope.find('.tm-slider-widget');

			$element.MakeaholicSwiper();
		};

		var SwiperLinkedHandler = function ($scope, $) {
			var $element = $scope.find('.tm-slider-widget');

			if ($scope.hasClass('makeaholic-swiper-linked-yes')) {
				var thumbsSlider = $element.filter('.makeaholic-thumbs-swiper').MakeaholicSwiper();
				var mainSlider = $element.filter('.makeaholic-main-swiper').MakeaholicSwiper({
					thumbs: {
						swiper: thumbsSlider,
						slidesPerGroup: 3
					}
				});
			} else {
				$element.MakeaholicSwiper();
			}
		};

		$(window).on('elementor/frontend/init', function () {
			elementorFrontend.hooks.addAction('frontend/element_ready/tm-image-carousel.default', SwiperHandler);
			elementorFrontend.hooks.addAction('frontend/element_ready/tm-modern-carousel.default', SwiperHandler);
			elementorFrontend.hooks.addAction('frontend/element_ready/tm-modern-slider.default', SwiperHandler);
			elementorFrontend.hooks.addAction('frontend/element_ready/tm-team-member-carousel.default', SwiperHandler);
			elementorFrontend.hooks.addAction('frontend/element_ready/tm-product-carousel.default', SwiperHandler);
			elementorFrontend.hooks.addAction('frontend/element_ready/tm-feature-product-carousel.default', SwiperHandler);
			elementorFrontend.hooks.addAction('frontend/element_ready/tm-product-category-carousel.default', SwiperHandler);
			elementorFrontend.hooks.addAction('frontend/element_ready/tm-marquee-list.default', SwiperHandler);

			elementorFrontend.hooks.addAction('frontend/element_ready/tm-testimonial.default', SwiperLinkedHandler);
		});
	}
)(jQuery);
