<?php

namespace Makeaholic\Woo;

defined( 'ABSPATH' ) || exit;

class Product_Bought_Together {
	protected static $instance = null;

	public static function instance() {
		if ( null === self::$instance ) {
			self::$instance = new self();
		}

		return self::$instance;
	}

	/**
	 * Init self constructor to avoid call paren::__construct
	 * Make code run twice times
	 */
	public function __construct() {
	}

	public function initialize() {
		if ( ! $this->is_activate() ) {
			return;
		}

//		add_action( 'wp_enqueue_scripts', [ $this, 'frontend_scripts' ] );
	}

	public function is_activate() {
		if ( class_exists( 'WPCleverWoobt' ) ) {
			return true;
		}

		return false;
	}

	public function frontend_scripts() {
		wp_dequeue_style( 'woobt-frontend' );
	}
}

Product_Bought_Together::instance()->initialize();
