<?php
/**
 * The template for displaying loop excerpt.
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Makeaholic
 * @since   1.0
 */

defined( 'ABSPATH' ) || exit;

$post_title = get_the_title();
?>
<div class="post-excerpt">
	<?php if ( empty( $post_title ) ) : ?>
		<a href="<?php the_permalink(); ?>">
			<?php Makeaholic_Templates::excerpt( array(
				'limit' => 42,
				'type'  => 'word',
			) ); ?>
		</a>
	<?php else: ?>
		<?php Makeaholic_Templates::excerpt( array(
			'limit' => 42,
			'type'  => 'word',
		) ); ?>
	<?php endif; ?>
</div>
