<?php
/**
 * Template part for display account popups.
 *
 * @link    https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Makeaholic
 * @since   1.0.0
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit;
?>
<div class="makeaholic-popup popup-user-login" id="popup-user-login"
     data-template="template-parts/popup/popup-content-login">
	<div class="popup-overlay"></div>
	<div class="popup-content">
		<div class="button-close-popup"></div>
		<div class="popup-content-wrap">
			<div class="popup-content-inner"></div>
		</div>
	</div>
</div>

<div class="makeaholic-popup popup-user-register" id="popup-user-register"
     data-template="template-parts/popup/popup-content-register">
	<div class="popup-overlay"></div>
	<div class="popup-content">
		<div class="button-close-popup"></div>
		<div class="popup-content-wrap">
			<div class="popup-content-inner"></div>
		</div>
	</div>
</div>

<div class="makeaholic-popup popup-lost-password" id="popup-user-lost-password"
     data-template="template-parts/popup/popup-content-lost-password">
	<div class="popup-overlay"></div>
	<div class="popup-content">
		<div class="button-close-popup"></div>
		<div class="popup-content-wrap">
			<div class="popup-content-inner"></div>
		</div>
	</div>
</div>
